Bug 1894680 (CVE-2020-27762) - CVE-2020-27762 ImageMagick: outside the range of representable values of type 'unsigned char' at coders/hdr.c
Summary: CVE-2020-27762 ImageMagick: outside the range of representable values of type...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27762
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1901269 1901270 1910543
Blocks: 1891602
TreeView+ depends on / blocked
 
Reported: 2020-11-04 18:58 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-15 20:48 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 7.0.8-68
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in coders/hdr.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of values outside the range of type `unsigned char`. This would most likely lead to an impact to application availability, but could potentially cause other problems related to undefined behavior.
Clone Of:
Environment:
Last Closed: 2020-11-24 23:34:53 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-04 18:58:35 UTC
In ImageMagick, there are 3 outside the range of representable values of type 'unsigned char' at coders/hdr.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1713

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/7db3fa20893d557259da6e99e111954de83d2495

Comment 1 Guilherme de Almeida Suckevicz 2020-11-04 18:58:38 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-04 22:02:52 UTC
`WriteHDRImage()` in /coders/hdr.c could attempt to set unsigned chars to values outside of range, depending on pixel color values. The patch adds checks for > 0 to ensure that this does not occur. The flaw could be triggered by a crafted input file that is processed by ImageMagick. Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.

Comment 3 Todd Cullum 2020-11-04 22:03:25 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata .

Comment 4 Guilherme de Almeida Suckevicz 2020-11-24 19:24:03 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901269]
Affects: fedora-all [bug 1901270]

Comment 5 Product Security DevOps Team 2020-11-24 23:34:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27762


Note You need to log in before you can comment on or make changes to this bug.